Subject: Re: linux-next: build failure after merge of the fsnotify tree

From: Eric Paris <[email-masked]>
Date: Wed, 10 Nov 2010 10:32:23 -0500

On Wed, 2010-11-10 at 12:53 +1100, Stephen Rothwell wrote:
> Hi Eric,
> 
> After merging the fsnotify tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/notify/mark.c: In function 'fsnotify_add_mark':
> fs/notify/mark.c:230: error: 'struct fsnotify_group' has no member named 'fanotify_data'
> 
> Caused by commit 0ed64ab6b338e4269c9f25de83781619ecd624f1 ("fsnotify:
> code and error path cleanup in fsnotify_add_mark").  This build has
> CONFIG_FANOTIFY not set.
> 
> I have used the fsnotify tree from next-20101109 for today.

I wasn't actually that commit it was:

5876b30fc2c91d67386f91da62b14f159d7bb41f ("fanotify: Do check against
max_marks and increase number of group marks atomically")

Lino, I knew there was a reason I was happy with the small race.  Would
you like to take another stab or should I just revert?

-Eric